Bug 84258 - removing one applet in the notification area tends to zap others
removing one applet in the notification area tends to zap others
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
: 77091 87755 104980 (view as bug list)
Depends On:
Blocks: 79578 CambridgeBlocker
  Show dependency treegraph
Reported: 2003-02-13 14:46 EST by Adrian Likins
Modified: 2007-04-18 12:51 EDT (History)
11 users (show)

See Also:
Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-06 02:31:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2003-02-13 14:46:48 EST
Description of problem:
I added the RHN applet, then I added the "korn" applet. 
When I right clicked on the "korn" applet, and selected
to remove it, it went away, but took the RHN applet
with it. 

Version-Release number of selected component (if applicable):

How reproducible:
Tried it two or three times, reproduced each time

Steps to Reproduce:
see above
Comment 1 Ngo Than 2003-02-13 16:22:14 EST
it should be a bug in rhn-applet. pam-panel-icon works fine
Comment 2 Daniel Veillard 2003-02-19 10:49:26 EST
Hum, I installed KDE from the last beta, I could not find
the "korn" applet in the list suggested, so I tried with various
ones, like the color picker, the clock, etc ... I installed and
uninstalled them without having a problem with the applet.
I can't reproduce this, please give me a reproductible way to
trigger the bug if any

Comment 3 Daniel Veillard 2003-02-19 19:29:57 EST
Okay I think I managed to reproduce the problem with KMix,
I will try to fix it.

Comment 4 Daniel Veillard 2003-02-20 13:21:31 EST
Well the call to gtk.mainloop() from python exits, apparently normally.
It can be traced back to a destroy being called on the Window identifier
associated to the rhn-applet icon

        self.applet_window = eggtrayicon.create_window("rhn-applet")
        self.applet_window.connect("destroy", self.exit_applet1)

then the callback exits the application cleanly, but the problem is
that the KDE environment framework destroys the window associated to
the applet.

Comment 5 Daniel Veillard 2003-02-21 07:58:21 EST
Hum, it's getting too deeply associated to X Windows event processing for
me to make real progresses, basically what's happening is the following:

  When the KMix is stopped, the eggtrayicon.c windows for the icon get
a succession of event, the 2 last ones are an UnmapNotify and a ReparentNotify.

  If I ask the event filter to remove the ReparentNotify from the processing
chain, I get some funky behaviour (i.e. the applet is actually remapped
into another top-level window and presented as such and later brought back
into the icon tray, plus a bunch of warnings).
  So it seems basically that the ReparentNotify event processing for the
eggtray icon is misinterpreted and generate the same callback as a Destroy
would. It's pretty mysterious to me at this point.
  I also see that the applet get events with type 110 which don't even seems
to be listed in X11/X.h 

  Havoc, can you help there ?

Comment 6 Havoc Pennington 2003-02-21 10:04:44 EST
I can help cc owen ;-)
Comment 7 Daniel Veillard 2003-04-02 03:50:30 EST
*** Bug 77091 has been marked as a duplicate of this bug. ***
Comment 8 Daniel Veillard 2003-04-02 03:51:29 EST
*** Bug 87755 has been marked as a duplicate of this bug. ***
Comment 9 Owen Taylor 2003-04-02 08:30:05 EST
Sounds like the KDE tray is not properly implementing the XEMBED protocol -

 The protocol ends in one of three ways:

  1.The embedder can unmap the client and reparent the client window to the root
  window. If the client receives an ReparentNotify event, it should check the 
  parent field of the XReparentEvent structure. If this is the root window of 
  the window's screen, then the protocol is finished and there is no further 
  interaction. If it is a window other than the root window, then the protocol 
  continues with the new parent acting as the embedder window.


(Actually, this text was added *after* the KDE implementation was written,
but the KDE folks didn't object and expressed an interest in updating to
the new spec.)

Someone would have to take a look why these reparent events are being generated
and whether it can be fixed.
Comment 10 Daniel Veillard 2003-09-24 07:34:34 EDT
*** Bug 104980 has been marked as a duplicate of this bug. ***
Comment 11 Bill Nottingham 2003-10-21 16:43:37 EDT
This is fixed now, correct?
Comment 12 Daniel Veillard 2003-10-21 17:04:15 EDT
Hum, the applet got his system tray code updated, but if the problem
was on the tray side itself, I can't tell.

Comment 13 Andrea Santilli 2004-03-22 19:18:39 EST
This problem occurs on my system too with rhn-applet-gui and with
eggcups as well.
It seems more raisonable to rewrite them from scratch using QT and
Comment 14 Andrea Santilli 2005-12-21 18:50:01 EST
well this bug seems to be fixed in FC4, doesnt it?
Comment 15 Bill Nottingham 2006-08-04 23:57:18 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 16 Aleksey Nogin 2006-08-06 02:31:15 EDT
This was fixed a long time ago, I believe.

Note You need to log in before you can comment on or make changes to this bug.